BitMeter Help

Welcome

Thanks for installing Bitmeter! This software allows you to monitor your Internet or network connection, displaying a graph of the amount of information coming into, and out of, your computer.

For experienced users, who want a quick summary of what Bitmeter can do, I recommend the QuickHelp page.

<< back next >>

The help file accompanies version 3.5.2 of BitMeter


Main Window

The Main Window

This is the main Bitmeter window:

Moving the main window
To move the window, just place the mouse pointer over the Display Area, press down on the left button, and drag it to a new location; release the mouse button to stop dragging.

Resizing the main window
Move the mouse over the Readout Area at the bottom of the window, you should see the cursor change shape:

The window can now be resized in the normal way, just depress the left mouse button and drag the window to the shape and size that you require.

Accessing the main menu
Most of the features in Bitmeter can be accessed via the main menu. To display the menu, click the right mouse button anywhere in the Display Area:

Minimising the window
To hide the main window, select Send to Tray from the menu. To restore the window, just click on the System Tray icon with your mouse. The System Tray is usually located in the lower right-hand corner of your screen:

The main menu can be accessed by right-clicking on the System Tray icon. The icon will change as your upload and download speed changes - the red column on the left of the icon represents your download speed, and the green column represents your upload speed. This allows you to monitor your connection even when the main window has been hidden. BitMeter also provides an alternative icon set with different graphics, select your preferred design using the Settings Screen

Closing Bitmeter
To close Bitmeter choose Exit from the main menu


Float Option

The Float Option

Clicking the Float option on the main menu will cause Bitmeter to remain on top of other windows on your screen, so that it is always visible. When Float is enabled, a tick will be visible next to this option on the menu.


Click Through

The Click Through Option

Clicking the Click Through option on the main menu will cause the Bitmeter window to stop responding to all mouse events. Any mouse actions which occur within the window will be passed down to the window immediately behind:

Click Through allows Bitmeter to be permanently visible, without getting in the way of other windows on the screen. It is recommended that this feature is used with the window partially transparent, and in conjunction with the 'Float' option. Once Click Through has been enabled, the main menu will no longer be accessible via right-clicking on the main window, and so must be accessed via the System Tray icon instead. When Click Through is enabled, a tick will be visible next to this option on the menu.


The InfoPane

Clicking the Toggle InfoPane option on the main menu will enable or disable the InfoPane feature. The InfoPane is a small window that appears near the mouse pointer when it is moved over the main display window. The InfoPane window displays information about the part of the graph immediately under the mouse cursor:

InfoPanes can also be displayed over the graphs on the Statistics screen - see the InfoPane Settings window on the Settings screen to configure this. When the InfoPane is enabled, a tick will be visible next to this option on the menu.


Settings Screen

The Settings Screen

The Settings Screen allows you to change the way Bitmeter looks and behaves. Access the Settings screen via the Settings... option on the main menu

The Settings screen is divided into a number of different sections, accessed by clicking on the various titles displayed on the left-hand side of the screen:

Each section contains a group of related configuration options, these are explained in the following pages.


Settings Screen - Graph Scale

The Settings Screen

Graph Scale Settings

The Graph Maximum value should be set according to the speed of your internet/network connection. If you know your connection speed then enter it here, in bytes per second. If you are not sure what speed your connection is, then click the Connection Speed Helper button that will display the following screen

If you recognise your connection type in the list then simply select it, and click OK. If you do not know what type of connection you have, then Bitmeter can try to determine the appropriate speed for you. Clicking the Calibrate button will cause Bitmeter to monitor your connection speed for 30 seconds; at the end of this time the maximum speed attained will be used as the value for your connection. While this calibration is being performed you should ensure that your connection is in use, and that data is being transferred - this can be achieved by browsing the web, or downloading files from a server or other source. You may wish to repeat this process a few times, downloading from a number of sources, to achieve the most accurate measurement.

The Automatically adjust scale option will cause Bitmeter to dynamically alter the vertical scale of the graph according to your current upload and download speed.

The Add 10% buffer option makes the vertical scale of the graph a little higher than the maximum speed entered, and should prevent occasional 'spikes' disappearing off the top of the display

If the Display graph maximum value option is selected, then the speed represented by the top of the graph window (ie the speed at which a bar would reach the top of the main graph) is displayed, in the top right-hand corner of the screen; this feature can be useful if Automatically adjust scale is also selected.


Settings Screen - Graph Options

The Settings Screen

Graph Options Settings

The Units option allows you to select the units of the figures shown in the Readout Area of the main window.

The Graph Type option determines the format used to display information on the main window:

Bar Graph | Line Graph

The Draw Fat Lines option takes effect if you select a graph type of Line Graph - it doubles the thickness of the lines used to render the graph, making the display more visible.

The Use Overlap Colour option is used to configure how BitMeter displays overlapping upload and download bars on the main graph. If the option is selected, then the 'Overlap Colour' specified on the Colours screen is used to indicate an overlap between the 2 bars, if the option is not selected then the smaller of the 2 bars is shown at the front, as shown below:

Overlap Option On | Overlap Option Off

If the Show Interval Bars option is selected, then vertical bars will be displayed at regular intervals on the main window, the distance between the bars is configurable, and can be anywhere between 10 and 120 seconds.

The Scroll Interval figure controls how often the graph on the main window scrolls to the left. The default setting of 1 causes the graph to move once every second, larger values give a longer interval with more historical information visible at one time.


Settings Screen - InfoPane

The Settings Screen

InfoPane Settings

The Show InfoPane... options are used to specify on which windows InfoPanes should be displayed (see here for more details)

The Transparency setting determines how transparent or opaque the InfoPane is.


Settings Screen - Stopwatch

The Settings Screen

Stopwatch Settings

The 11 tick-boxes allow you to configure what information is displayed on-screen when the Stopwatch is active. A timer can be displayed, with or without milliseconds, as well as various running totals (download only, upload only, and combined upload and download total). In addition average, maximum and minimum upload/download speeds can also be displayed. Use the 'All' and 'None' buttons to select or deselect all these options at once.


Settings Screen - Colours

The Settings Screen

Colour Settings

Individual colours can be altered by selecting the appropriate item from the list, and clicking the Edit Colour Button. The Overlap colour is used when your connection is uploading and downloading at the same time, and the upload and download bars overlap to some extent, as shown:

The Info Text colour will be used for displaying information and messages in the main window, and should therefore stand out well from the selected Graph Background colour.

The Readout Text colour and Readout Background colour values determine the colour of the text, and background, in the Readout Area at the bottom of the main window.

The Graph Background Fade colour is only available if the Fade Background option has been selected. The Fade Colour is the colour that the background fades to, towards the bottom of the screen. For example, in the picture below the Background Colour has been set to Red and the Fade Colour has been set to Green*:

The Graph Border and Readout Border options control whether a black border is displayed around the Main Window, and Readout Area respectively.

If the Fade Background option is selected, then the Background Colour will slowly merge into the Fade Colour towards the lower part of the display, as seen above.

Colour Schemes allow you to save various different colour combinations, and then swap between them at will. BitMeter also comes with a number of ready-made colours schemes. To save a colour scheme, make the appropriate colour selections and then click on the Save Scheme button - you will be prompted to choose a name for the scheme, and then it will be saved and will appear in the Open Scheme selection list. To remove a previously saved colour scheme, select it from the list and click the Delete Scheme button.

*The author cannot be held liable for nausea or sickness, resulting from misuse of this feature


Settings Screen - Transparency

The Settings Screen

Transparency Settings

The Transparency setting allows you to configure the transparency/opacity of the main BitMeter window. Values range form 0% (completely opaque) to 90% (almost completely transparent).


Settings Screen - Tray Icon

The Settings Screen

System Tray Icon Settings

The System Tray Icon Settings screen allows you to configure how the icon that appears in the Windows System Tray behaves. The icon changes its appearance according to the upload and download speeds that BitMeter detects. Two icon-sets are available, and the Icon Set option allows you to switch between them.

The Caption Info options determine what information is displayed in the small window that appears when you hover the mouse over the Tray Icon (note that Windows imposes a 63 character limit on the text that can be displayed in this window, and so the information that is displayed may be truncated under certain circumstances).

When you click the mouse on the Tray Icon, and the main BitMeter window is hidden, the window will re-appear. If you click on the Tray Icon when the main window is already visible, then one of two things may happen, depending on the value selected for the final option on this screen. If the 'toggle hide/restore' option has been selected then the main BitMeter window will be hidden, if the 'bring to front' option is selected then the window will be placed in front of all other windows on the screen.


Settings Screen - Readout Area

The Settings Screen

Readout Area Settings

The Readout Area is the small bar that normally appears along the bottom of the main BitMeter window, displaying the current upload and download speeds. To remove the Readout Area from the main window, untick the Display Readout Area box. When the Readout Area is not displayed, the main window can still be resized by moving the mouse pointer to the lower part of the main graph - when the pointer changes shape to a double arrow (as shown below) the graph window can be resized as normal, by depressing the left mouse button and dragging the window to the desired shape.

The size of the font used to display the current speed in the Readout Area can also be adjusted from this screen - just select one of the 3 options listed in the Readout Font Size panel.

The Show 'DL' and 'UL' in Readout option can be used to select between the 2 formatting options available for the text in the Readout Area. With this option selected, the text will look like this:

and with the option deselected, the text will look like this:

The Show Readout Border, Readout Text Colour and Readout Background Colour options have the same effect as their equivalents on the Colours screen.


Settings Screen - Startup

The Settings Screen

StartUp Settings

The StartUp Settings options allow you tell BitMeter to start each time your PC starts (enabling this option is the best way to gather reliable connection usage information). Other options allow you to make BitMeter automatically check for the availability of new versions each time it starts, to always start with the main window hidden, and to always start with the Stopwatch running.

The Check main window is within screen boundary option performs an automatic check that the main BitMeter window is within the visible bounds of the screen, and moves it if it is not. This feature prevents changes in screen resolution causing the main window to be 'lost' because it has been positioned beyond the edges of the screen.


Settings Screen - Audio

The Settings Screen

Audio Settings

The Audio Settings feature can be used to configure BitMeter to produce an audible tone to indicate your current transfer speed, allowing you to monitor the state of your connection while away from your PC. Audio Notification can run in one of two modes:

If the Time Intervals mode is selected then the following options are displayed:

In this mode a tone is produced at regular time intervals (for example once every second) with the pitch of the tone indicating your current speed. A 'slow beep' (a low tone) is produced if your speed is below a certain threshold, a 'fast beep' (a high tone) is produced if your speed is above a certain threshold, and a medium tone is produced if your speed falls between the two. The slow/medium/fast boundaries are configurable via the screen shown above, as is the type of traffic which is monitored (download traffic, upload traffic or both).

If the Volume mode is selected then the following options are displayed:

In Volume mode a tone is produced each time a given volume of data is transferred. The amount of data required to produce a tone is configurable on the screen above, and the direction (upload, download or combined) can also be specified.


Settings Screen - Web Proxy

The Settings Screen

Web Proxy Settings

If you access the internet through a Web Proxy, and wish to use the 'Check for New Version' feature, then you will need to enter appropriate information on this screen, to allow BitMeter to access the web and perform the version check. If you are not sure whether you are using a proxy or not, click the Test Web Access button (if you use BitMeter on a home PC directly connected to the internet, then you are unlikely to need to enter proxy information, however if you are using a PC on a corporate network then it is more likely that you will - ask your system administrator for details).

The Proxy Server field should contain the hostname, or IP address, of the web proxy that you are using. If the proxy uses a non-standard port number (ie. not port 80) then you should enter this as part of the server address, separating the name and port number with a colon. For example, if you use a web proxy called 'gateway.mycompany.co.uk', and the proxy uses port '8080' then you would enter the following:

http://gateway.mycompany.co.uk:8080

The password that you enter is saved along with your other BitMeter preferences in the 'BitmeterSettings.xml' file, however it is encrypted in a relatively secure manner.

To delete all saved proxy information, click the Delete Proxy Data button.


Settings Screen - Adapters

The Settings Screen

Adapter Settings

The Adapter Settings show the network cards installed on your computer, and allow you to select which one/s Bitmeter should display usage information for. All non-loopback adapters are selected by default, to instruct Bitmeter to ignore traffic on one of the adapters simply remove the tick from the box next to its name. Highlighting an adapter with the mouse displays information about it in the lower part of the window


Settings Screen - Backups

The Settings Screen

BackUp Settings

The BackUp Settings display allows you to configure how BitMeter manages back-ups of its configuration files. In certain circumstances it is possible for some of the data files used by BitMeter to become corrupt, resulting in loss of application settings, upload/download history, or alert information. Data loss can occur if your PC is turned off without first shutting down Windows, if Windows encounters a Stop Condition (Blue Screen of Death), or if BitMeter is shutdown suddenly due to a fatal error, or if its process is terminated manually via the Window Task Manager.

BitMeter has 3 backup modes:

  • No Backups - none of the configuration files are backed up, and any corruption of these files is likely to result in permanent loss of data.
  • Auto Backups - BitMeter will manage the backing up and restoring of files automatically. Data is backed-up at regular intervals, and if a corrupt file is detected then it will be restored automatically.
  • Manual Backups - files may be backed-up and restored using the links on the screen shown above, no automatic back ups or restores will be performed.


Settings Screen - Web Server

The Settings Screen

Web Server Settings

The Web Server Settings screen controls BitMeters Web Interface. If the Run Web Server box is ticked, then the server will be active - to disable the server simply untick the box.

The Port number determines which TCP port the web server uses for listening for incoming connections. The default value of 80 is the one most commonly used by web servers, however this can be changed to any value between 1 and 65535. Note that if you change the port number from its default value you will need to specify the port as part of the URL that you use to connect to the server. For example if the port has a value of '8080' then the URL used to access the server locally would become:

http://localhost:8080

The IP Filter box allows you to restrict which other machines can access the Web Interface. To specify a list of IP addresses that that you wish to grant access to, simply list them in the IP Filter box, separating them with semi-colons, for example:

192.168.1.1;192.168.1.2;192.168.1.3

Wildcards can be used within IP addresses to grant access to all machines within a particular sub-net, for example the second item in the following list grants access to all machines with addresses that begin with '192.168.0'.

192.168.1.1;192.168.0.*;127.0.0.1

Wildcards may be used in place of any, or all, numbers in the IP address. To grant access to all addresses, just use 4 wildcards as shown:

*.*.*.*

To keep a record of who accesses the Web Interface, tick the Log Web Server traffic box - clicking on the View Log link opens the log file.

The web page displayed in the client web browser will automatically update itself with data at regular intervals, you can control how often each client requests data from the web server by adjusting the values in the Graph Refresh and Statistics Refresh boxes, which determine the intervals between updates to the main graph, and statistics grid, respectively. (Note that clients will have to refresh the page before changes in these settings take effect).

The Timeout is the time interval after which the client will give up waiting for data to arrive from the server, and display an error message to the user. This value can be decreased for clients accessing BitMeter over a fast local network, or increased for clients accessing BitMeter over a slower connection such as a dial-up modem.


Web Interface

The Web Interface

BitMeters Web Interface allows you to monitor you connection speed remotely, via an ordinary web browser. The interface has been tested on Internet Explorer 6.0 and Firefox 1.0.7, although it is likely to work on most modern browsers. The web interface relies heavily on JavaScript, which therefore must be enabled on all clients.

The Web Interface is disabled by default - to enable it, tick the 'Run Web Server' box on the Settings Screen, and then click 'OK'. Any firewall software that is active on the machine running BitMeter must be configured to allow incoming connection requests to the TCP port specified in the Settings (by default BitMeter uses port 80).

The Web Interface is divided into 2 main sections. The Graph Area of the screen represents the same information as the main BitMeter window - a graph showing upload and download speeds, which updates at regular intervals scrolling to the left. The Statistics Area shows a summary of connection usage, similar to that shown on the Summary Tab of the Statistics Grid screen

The sidebar to the left of the Graph Area shows various pieces of information such as the software version, and time of last update. In addition a Progress Bar is displayed, showing the time until the next update (the interval between updates is configurable via the Graph Refresh option on the Settings Screen). Clicking the Update Now button will force an immediate update.

The Auto-Scale option, also contained in the sidebar, determines whether the vertical scale of the graph changes according to the current speed, or stays fixed. If Auto-Scale is disabled, then the scale of the graph is the same as that entered in the Settings Screen.

The Statistics Area displays the Download, Upload and Combined totals for the current day, week and month, as shown:

The Counter figures act as a running total of the data received since the web interface was loaded, and are updated each time new data is received. The Counter totals can be reset to zero by clicking on the Reset button.


Calculator

The Calculator

The Calculator allows you to work out how long it will take to download or upload something, and also how much you can download or upload in a given time.

On the How long... tab, just type a file size in the Size field and the time it will take to download is displayed in the lower part of the screen. By default Bitmeter assumes you will be downloading at the maximum speed for your connection (as configured on the Settings screen) however you can adjust the speed by using the slider, or by typing a speed, in kB per second, in the Custom Speed box. The size of file that you specify is assumed to be in MB, however to use alternative units just type the appropriate abbreviation after the amount, for example to calculate the time for 2 gigabytes, just type '2gb' (see the glossary for a full list of units)

The How much... tab works in a similar way, except here you specify a length of time, and Bitmeter calculates the amount that you could download in that time:

Once again, the speed used for the calculation defaults to your maximum connection speed, but can be adjusted via the slider or the Custom Speed field. The time that you enter is assumed to be in minutes, however units of seconds, hours, days or weeks can also be used, for example to calculate how much you could download in 3 weeks, 1 day, 4 hours and 1 minute, just type '3w 1d 4h 1m', you can check that Bitmeter has understood you correctly by reading the grey text underneath where you type.


Statistics Screen

The Statistics Screen

The Statistics Screen displays graphs that show how your connection has been used over the last few hours, days and months. Detailed figures can be obtained by clicking one of the Grid Buttons next to the graphs, which open the Totals Screen (see later). The Statistics Screen will automatically refresh itself every minute, however clicking the Refresh Button forces an immediate update. To remove the history that Bitmeter has stored, click the Delete History Button. The scales of the graphs on this screen are automatically configured, based on the connection speed that you select in the Settings window.


Totals Screen

The Totals Screen

The Totals Screen displays a number of grids of information, showing exactly how much you have uploaded and downloaded since you started using Bitmeter. The Hours, Days and Months tabs display totals broken down accordingly

The Summary Tab shows you quick totals for the current day, week and month


Alerts

Bitmeter can be configured to notify you when certain events occur. These notifications are managed via the Alerts Manager screen, accessible via the Alerts... option on the main menu.

There are 2 types of alerts that can be created: Speed Alerts and Volume Alerts. A Speed Alert will be triggered when your upload or download speed rises above, or falls below, a value that you specify. This can be useful, for example, if you are performing a large download and you want to be informed when it has completed, or if there has been a problem and the download has aborted; in either of these cases you would expect your download speed to drop down to 0, so you might configure a speed alert to inform you when this occurs.

To create a speed alert, click the New Speed Alert button on the Alert Manager screen - this will open the Speed Alert Editor

On this screen you must tell Bitmeter what you want to be informed about, and how you want to be informed. Use the 5 boxes at the top of the screen to specify the criteria for your alert. When an alert is triggered there are 2 ways that Bitmeter can notify you - either by displaying a scrolling message on the main display window, or by playing a sound. Tick one or both of the Display a Message and Play a Sound boxes, according to your preference. Bitmeter comes with a number of alert sounds built in, these can be selected by choosing the Bitmeter Alert option, and then choosing an item from the list. Alternatively you can use your own sound for the alert - just choose the Custom Sound option, and click the Browse Button to select the file containing the sound you wish to use (the sound must be contained in a '.WAV' file). Once you have configured your notification option you can test the alert to see what will happen once it is triggered - use the Test Button to do this, click the button a second time to stop the test. Once you have created the alert, click OK - you will be returned to the Alert Manager screen, and you will see a new entry in the display representing the alert that you have just created.

A Volume Alert is triggered when you have uploaded, or downloaded, a specified amount of data, measured from when the alert was created. This can be useful if, for example, your Internet Service Provider restricts the amount that you can download each month, and you want to be notified when you are approaching your limit.

To create a Volume Alert, click the New Volume Alert button on the Alert Manager screen - this will open the Volume Alert Editor

The layout of this screen is quite similar to the Speed Alert Editor - to set up an alert just use the 3 boxes in the upper part of the screen to specify the appropriate size of the upload or download limit, and select the notification options as before.

To change an alert at a later time, select it on the Alert Manager screen, and press the Edit Button - this will re-open the Alert Editor screen, where you can change any of the details that you entered previously. To delete an alert, select it and click on the Delete Button.

Alert sounds are played only once when an alert is triggered, however scrolling notification messages will be redisplayed indefinitely, until they are cancelled (this is useful if you leave your computer for a while, and the alert is triggered when you are not around) to remove a notification message, use the Cancel Alert option on the main menu, or just click Ctrl+C while the Bitmeter main window is selected.


ISP Restrictions

ISP Restrictions Screen

If your Internet Service Provider places restrictions on the amount you can upload and download each month, then the ISP Restrictions Screen can help you to ensure that you do not exceed your monthly limit.

To configure BitMeter to monitor your monthly bandwidth usage, follow these steps:

  • Tick the 'ISP Restrictions Apply' box at the top of the window
  • Select the day of the month that your usage is measured from, in the 'Period Start Date' box. This may be the 1st of the month, or may be the day of the month that your account was opened - check with your ISP if you aren't sure.
  • Enter the size of your monthly quota (in gigabytes) in the Limit field.
  • Select the type of traffic that your ISP monitors, by selecting either the 'Total Traffic' or 'Download Traffic Only' buttons.
  • If you want BitMeter to alert you when you are approaching your monthly limit, then tick the 'Alert me when I reach...' box, and adjust the '% of Quota' figure to match your requirements.
  • Click the OK button to save your details.

You can check how much of your monthly allowance has been used at any time by opening this screen. The Status area in the lower part of the window shows how many days remain within the current monthly period, how much of your quota you have used, and how much remains. The Status Bar displays this information as a percentage figure.

Caveats:

  • For the first month or two you should compare the totals reported by your ISP with those reported by BitMeter and check that they correspond. Different ISPs measure bandwidth usage in different ways, for example some companies do not count data exchanged between customers as part of their monthly allowance - since the data stays within their own networks they do not get charged for it by their provider, and so they pass the saving along to their customers.
  • BitMeter can only record bandwidth usage while it is running - if you shut BitMeter down then any usage of your connection will not be recorded. It is recommended that you use the 'Start Bitmeter When Windows Starts' option to ensure the most accurate readings.
  • BitMeter cannot distinguish between data sent over the Internet, and data sent across a local network (if the same network card is used for both). Data copied over a LAN connection will be recorded as part of your monthly total.


Stopwatch

The Stopwatch

The Stopwatch displays a timer on the main window, together with various other information such as running upload and download totals:

The Stopwatch can display the following pieces of information:

  • Timer (with or without milliseconds)
  • Download Total
  • Upload Total
  • Combined Download and Upload Total
  • Average Download Speed
  • Average Upload Speed
  • Maximum Download Speed
  • Maximum Upload Speed
  • Minimum Download Speed
  • Minimum Upload Speed

the data displayed by the Stopwatch, together with the font size, is configurable via the Settings Screen

The Stopwatch can be controlled via the Start/Stop, Reset and Clear options on the main menu, or via the keyboard shortcuts indicated:

Restarting the Stopwatch after it has been halted causes the timer to resume without resetting the totals, selecting Clear will remove the stopwatch from the display. Selecting Reset while the stopwatch is running resets the totals and the timer, without stopping the timer from running.


BitMeter Profiles

Using BitMeter Profiles

BitMeter supports the use of User Profiles, allowing different sets of configuration options to be used by different users, and also allowing separate upload/download histories to be maintained.

By default BitMeter will store its configuration settings, bandwidth history etc in the directory in which it was installed, however by using a command-line option you can specify an alternative location for these files - creating one for each user who will use the application.

BitMeter accepts a command-line option of the format:

BitMeter2.exe -D <Directory>

Where <Directory> represents the full path to the directory containing the users configuration files.

For example, to create 2 separate profiles for the users Bev and Kev, perform the following steps:

  • Create 2 directories, one for each user's BitMeter configuration files - for example
    'C:\bev\bitmeter_files\' and 'C:\kev\bitmeter_files\'
  • Create a shortcut for each user, specifying the path to the BitMeter executable file, followed by the '-D' option, and the path to the appropriate directory. So Kev's shortcut would read something like:
    "C:\Program Files\Codebox\BitMeter\BitMeter2.exe" -D "C:\kev\bitmeter_files\"
    and Bev's shortcut would read:
    "C:\Program Files\Codebox\BitMeter\BitMeter2.exe" -D "C:\bev\bitmeter_files\"
  • Each user may then run BitMeter using their own shortcut, and can maintain their own set of configuration options, and their own upload/download history.


Check For New Version

You can use the Check for New Version option on the main menu to see whether a newer version of Bitmeter is available for download:

You must be connected to the Internet for this feature to work. If a new version is detected then a link will be displayed, directing you to the download site.

If you access the Internet via a proxy server, you will need to enter the appropriate details on the Settings Screen for this feature to work.


Errors

The Error Screen

If an error occurs within BitMeter then the following screen will be displayed:

If the error is not serious then Bitmeter will continue to run, however if the problem means that further execution is not possible then the programme may shut down.

Please consider reporting any errors that you see to the author, so that they can be investigated and fixed. To report an error click on the Report Error Link to open an email, and then click the Copy Details Button to copy information about the problem to the Windows Clipboard, then paste the error details into the email.

Error details are also recorded in the 'Error.log' file, inside the BitMeter installation directory. If you wish to report an error, but the error screen in no longer visible, then simply email the log file to rob@codebox.no-ip.net


Helping Out

How Can I Help Out?

BitMeter is offered free of charge, and without obligation - however if you want to help the author out in some way then you may wish to consider the following:
  • Send your comments (good and bad) to rob@codebox.no-ip.net
  • Submit bug reports - if you see an error message then use the error screen features to let the author know about it
  • Volunteer as a 'bug monkey' (ie beta-tester) - the author will send you pre-release versions of the software to use, on the understanding that there may be 'hidden features' (ie bugs) for you to discover. You also get to see new features before everyone else, and your suggestions for changes and improvements will help to shape the final release.
  • Write a review! BitMeter is now hosted by many of the largest shareware/freeware download sites in the world including:
    • www.download.com
    • www.tucows.com
    • www.snapfiles.com
    • www.softpedia.com
    write a review to let people know what you think.
  • If you can spare a little cash then make a donation to Amnesty International to help end human rights violations around the world.


FAQ

Frequently Asked Questions

BitMeter shows a small trickle of upload or download, even when I know that my connection is not being used
This is caused by capture for the 'loopback' adapter being enabled, on the Settings screen, disabling capture for this adapter will provide a more accurate picture of your bandwidth usage.
Why does BitMeter use so much memory?
BitMeter is written using Microsoft's .NET Framework, .NET applications always have a relatively high memory footprint. If you are using the figure reported by Windows Task Manager then the chances are that BitMeter is actually using less memory than you think - Task Manager reports the application's 'Working Set', which includes memory shared by other processes (including the .NET Runtime). Windows may also allocate extra memory to a process in case it is needed, this is also included in the Working Set figure. Even taking this into account however, BitMeter will always use more memory than non-.NET applications which perform a similar task.
I am clicking on the BitMeter window with the mouse, but nothing is happening
You have probably enabled the 'Click Through' feature (see here), this can be disabled by right-clicking on the BitMeter icon in the System Tray, and deselecting the 'Click Through' option on the menu.
What do the figures displayed in the Readout Area mean?
The figures displayed on the lower part of the main window represent your current download (DL) and upload (UL) speeds. The figures are expressed in bytes/second by default, although the units can be changed to bits/second on the Settings screen. The Readout Area can be hidden altogether via the Settings Screen
What registry entries does BitMeter use?
BitMeter does not read from, or write to, the registry at all. Configuration information is stored in the 'BitmeterSettings.xml' file, in the installation directory.
The 'Check for new version' feature does not work
There are a number of reasons why this feature might not work. Version checks are performed by sending an HTTP request over the Internet to the CodeBox website, and may be blocked by firewall software, web proxy authentication requirements, or downtime on the CodeBox server.
What versions of Windows will BitMeter work on?
Bitmeter will run on Windows 2000 and later (this includes Windows XP)
Will running a firewall affect BitMeter?
No, unless you wish to use the Web Interface feature. Bitmeter does not require network access in order to monitor your connection speeds, however if you want to use the Web Interface then you will need to allow incoming connections to the TCP port used by BitMeter for its web server (port 80 by default). In addition, if you use the 'Check for new version' option then you will need to allow BitMeter to make outgoing HTTP requests (again, port 80) to 'codebox.no-ip.net'
What language is Bitmeter written in?
Bitmeter is written in C#


Uninstalling BitMeter

There are 3 separate ways to remove BitMeter from your PC:

  • 1. Use the 'Add/Remove Programs' option from the Windows Control Panel (recommended)
  • 2. Manually run the 'uninstall.exe' program from the BitMeter installation directory (by default BitMeter is installed in the C:\Program Files\Codebox\Bitmeter directory)
  • 3. Follow the Manual Removal instructions below to perform the process manually

Manually Removing BitMeter

Before you start:

  • Make sure that BitMeter is not running
  • Make a copy of these instructions, or take a temporary copy of this help file (BitMeter.chm) to refer to during the uninstallation process (this Help file cannot be removed while it is open)
To remove the main application components:
  • Using Windows Explorer delete the BitMeter installation directory (by default C:\Program Files\Codebox\Bitmeter)
To remove the auto-start shortcuts:
  • Run the 'msconfig' utility (click the Windows 'Start' button, select 'Run' and type msconfig in the dialog box)
  • Click the 'Startup' tab of the msconfig window, and untick any 'BitMeter2' entries in the list
To remove the Windows Start Menu entries:
  • Click the Windows 'Start' button, click 'Settings' and then click 'Task Bar and Start Menu'
  • Click the 'Start Menu' tab, and then click the 'Customize' button, followed by the 'Remove' button.
  • Find the 'BitMeter' entry in the list and highlight it by clicking on it with the mouse
  • Click the 'Remove' button
These steps will remove all the components added to your system during the installation of BitMeter. BitMeter does not use the Windows registry, and consequently a complete uninstall can be performed by deleting items from the file-system, as directed.


Quick Help

This page is intended to give a quick summary of BitMeter's features for experienced computer users. The topics mentioned here are all explained more fully in the rest of this document.

  • Most features are accessed via the main menu, displayed by right-clicking on the main window, or on the icon in the System Tray. Move the main window by dragging it with the mouse. Resize the window by moving the mouse to the readout area in the lower part of the screen [more]
  • The 'Click Through' feature causes the main window to ignore all mouse events, once activated this can only be turned off by accessing the main menu via the System Tray icon [more]
  • The Settings screen offers dozens of configuration options, allowing you to change almost every aspect of BitMeters appearance and behaviour.[more]
  • BitMeter includes a web interface allowing connection speeds to be monitored remotely via a web browser. The web interface is disabled by default, and can be activated via the Settings Screen.[more]
  • The Calculator helps you to estimate how much you can download in a given time, or how long it will take to download a file of a given size. Enter the time interval, or file size, in the appropriate box, and adjust the speed if required using the slider. The input fields for time/size understand most common-sense abbreviations ('3d 4h' = 3 days 4 hours, '4gb' = 4 gigabytes, and so on) [more]
  • The Statistics screen shows your bandwidth usage history, over the last few hours, days and months. Exact figures can be obtained by clicking one of the 'grid' buttons to the left of the graphs [more]
  • Alerts can be created to notify you when you have transferred a specified amount of data (a Volume Alert), or when your speed goes above or below a specified value (a Speed Alert). Alerts can be deleted or modified at any time by selecting them from the display, and using the 'Delete' and 'Edit' buttons. Alerts can be configured to display a scrolling message on the screen and/or play a sound, when they are triggered - you specify this when you create them. To cancel an alert, use 'Cancel Alert' from the main menu, or press Ctrl-C [more]
  • The ISP Restrictions screen allows you to configure BitMeter with details of your ISPs monthly usage allowance, so that it can warn you as you approach your limit [more]
  • The Stopwatch displays a timer in the main window, along with various other pieces of information such as running upload and download totals [more]


Glossary

1 byte (1B) | 8 binary digits, a byte can have 1 of 256 possible values
1 kilobyte (1KB) | 1024 bytes, a side of A4 printed text can be stored in 3 or 4 KB
1 megabyte (1MB) | 1024 kilobytes - a 3.5inch floppy disc holds about 1.5 MB. a CD holds about 700MB
1 gigabyte (1GB) | 1024 megabytes, a CD stores 0.75GB, and writable DVD holds 4.7GB
1 terabyte (ITB) | 1024 gigabytes, this is about the same as 110 commercially produced DVDs
download | to copy information from another computer
upload | to send information to another computer


Version History

BitMeter Version History

3.5.2 [Released 02 September 2006]
  • Fixed colour scheme bug
3.5.1 [Released 22 July 2006]
  • Adjustable web interface colours
  • Show DL/UL in Readout option added
  • Show Readout Border option duplicated on Readout Settings
  • Added Content-Type header into web server responses
  • Confirmation dialog added on Delete Colour Scheme
  • Installer adjusts permissions on install folder
  • Copes better with multiple adapters with the same MAC address (VPNs usually)
3.5.0 [Released 12 Feb 2006]
  • Removed user registration, now registered by default
  • Minor bug fixes
3.4.2 [Released 15 Jan 2006]
  • Allow smaller (non-integer) limits on ISP Restriction screen
  • Added option to ensure main window on-screen at startup
  • Added Fat Lines option for Line Graph
  • Installer enhancements (OS detection, added Help File shortcut on Start Menu)
  • Bug fix for main window transparency
  • Miscellaneous tab-order and field-length fixes
  • Bug fix for certain scroll-interval/interval-bar value combinations
  • Fixed broken links on Settings screen
3.4.1 [Released 07 Jan 2006]
  • Bug fix for web interface timeout issue on Internet Explorer
  • Bug fix for web interface stats refresh Internet Explorer
  • Bug fix for InfoPane units on Statistics screen
3.4.0 [Released 04 Jan 2006]
  • Added Web Interface
  • 'Export to CSV' option added to Statistics Grids
  • Usability changes to 'Check for new version' screen
  • Added alternative icon set
  • Configurable Tray Icon caption
  • Redesigned Colour Selection screen
  • Added 'Hide Readout Area' option
  • Configurable Readout font sizes
  • Made Tray Icon click behaviour configurable
  • 'Copy Error Details' button now copies all errors, not just the current one
  • Bug fix for 'Float' option
  • Bug fix to validation in Settings screen
3.3.1 [Released 03 Dec 2005]
  • Bug fix for Scroll Interval >1
3.3.0 [Released 30 Nov 2005]
  • Audio notifications added
  • Improved auto-adjust scale response
  • Use Overlap Colour option added
  • Interval bars added
  • Display graph max. value option added
  • Backup of data files
  • Bug fix for colours on Diagnostics screen
  • Bug fix for panel size on Settings screen
  • Various minor bug fixes
3.2.1 [Released 05 Nov 2005]
  • Max and Min added to Stopwatch
  • Improved Help File detection
  • Bug fix for Months Grid
  • Minor fixes
3.2.0 [Released 01 Nov 2005]
  • Added ISP Restriction screen
  • Colour Schemes
  • Stopwatch code optimised
  • Stopwatch fields configurable, added average speeds and combined total
  • Option to always run Stopwatch on startup
  • Adjustable Stopwatch font size
  • Web Proxy support added for version check
  • Settings screen re-organised
  • Combined upload/download totals added to Stats
  • Enhanced error reporting, errors now logged to file for support purposes
  • Diagnostic info screen added
  • Clicking on tray icon shows/hides main window
  • UID copied to clipboard on reg. link click
  • Option to auto-start for all users
  • Option to change InfoPane transparency added
  • InfoPane pretty-fied
  • Silent installer option added
  • Startup directory configurable via command-line arguments
  • More configurable appearance
  • MB/s and Mb/s options available for figures on main window
  • Statistics Grids now accessible from main menu
  • Old working reg. keys cached
  • Bug fix - High transfer values reported as negative
  • Bug fix - Dragging mouse over stats windows gives error
3.1.1 [Released 17 Sep 2005]
  • Bug fix for Line Graph + AutoScale combination
  • Bug fix for 'Send to Tray'
3.1.0 [Released 27 Aug 2005]
  • InfoPane (hover your mouse over part of the graph to see more information)
  • ClickThrough (allows mouse actions to be passed to windows underneath BitMeter)
  • Option to automatically check for new versions
  • Option to dynamically adjust vertical scale of the graph, according to current speed
  • Adjustable scroll interval (from 1 to 60 seconds)
  • Bar Graph/Line Graph option
  • Option to display UL/DL figures as kilobits/sec
  • More configurable user interface (more colours, more options)
  • Option to automatically start BitMeter minimised in the System Tray
  • Stopwatch status is reinstated on startup
  • Improved support for multiple displays
  • System Tray icon always available, and provides access to main menu
  • New improved System Tray icon
  • Clearer font used for UL/DL figures
  • Alt-Tab, Start Menu, and Install/Uninstall icons fixed
  • Bug fix for adapters disabled/enabled while application is running
  • 'Check for new version' screen now provides download link to CodeBox site
  • Implemented new UID generation algorithm, no longer based on MAC addresses
  • Help file updated, includes FAQ
  • Various bug fixes

<< back next>>